#/*
#*********************************************************************************************************
#*                                                    MELIS
#*                                    the Easy Portable/Player Develop Kits
#*                                               Compiler Module
#*
#*                                    (c) Copyright 2006-2010, kevin.z China
#*                                             All Rights Reserved
#*
#* File    : crosstool.cfg
#* By      : kevin.z
#* Version : v1.0
#* Date    : 2010-9-7 10:38
#* Descript: configuration script for RVDS compiler
#* Update  : date                auther      ver     notes
#*
#*********************************************************************************************************
#*/
#

#
CROSSTOOL   = ARMRVDS

LICHEEPATH      = $(SDKROOT)/../tools/pack/chips/sun7i
LICHEE_TESTPATH = $(SDKROOT)/../tools-uboot/pack/chips/sun7i
WORKSPACEPATH   = $(SDKROOT)/workspace
WORKTOOLS       = $(SDKROOT)/workspace/pctools
LIBSPATH        = $(SDKROOT)/boot1/libs

ifeq ($(CROSSTOOL), ARMRVDS)

#===============================================================
#RVDS
#===============================================================

#
CC          = @armcc
#
CFLAGS      = --cpu=Cortex-A7

#C++
CXX         = @armcpp
CXXFLAGS    = --cpu=Cortex-A7 --cpp --no_exceptions

#
AS          = @armasm
#
ASFLAGS      = --cpu=Cortex-A7

#
LINK        = armlink
#
LKFLAGS     = --noremove

#
AR          = armar
#
ARFLAGS     = -r

#
LOAD        = fromelf
#
LDFLAGS     =


else


ifeq ($(CROSSTOOL), ARMGCC)

#===============================================================
#GNU
#===============================================================

#
CC          = @arm-elf-gcc
#
CFLAGS      =

#
AS          = @arm-elf-as
#
ASFLAGS     =

#
LINK        = @arm-elf-ld
#
LKFLAGS     =

#
LOAD        = @arm-elf-objdump
#
LDFLAGS     =

else

error:
	$(error CROSSTOOL configuration is invalid!!!)

endif


endif
